/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 16:59:28.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common.upyun;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 又拍云配置信息
 *
 * @author: fengdesheng
 * @since: 2018/11/1
 */
@Component
public class UpYunProperty implements Serializable {
    private static final long serialVersionUID = 1L;
    @Value("${$upyun.site.1.userName}")
    private String userName;//账号

    @Value("${$upyun.site.1.password}")
    private String password;//密码

    @Value("${$upyun.site.1.bucketName}")
    private String bucketName;//存储空间名称

    @Value("${$upyun.site.1.bucketUrl}")
    private String bucketUrl;//存储空间访问前缀

    @Value("${$upyun.site.1.fileUrl}")
    private String fileUrl;//文件访问地址前缀

    @Value("${$upyun.site.1.uploadUrl}")
    private String uploadUrl;//文件存放目录

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getBucketName() {
        return bucketName;
    }

    public void setBucketName(String bucketName) {
        this.bucketName = bucketName;
    }

    public String getBucketUrl() {
        return bucketUrl;
    }

    public void setBucketUrl(String bucketUrl) {
        this.bucketUrl = bucketUrl;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getUploadUrl() {
        return uploadUrl;
    }

    public void setUploadUrl(String uploadUrl) {
        this.uploadUrl = uploadUrl;
    }

}